namespace
{
	class TestColumnWidth
		: public Wt::WApplication
	{
	public:
		TestColumnWidth( const Wt::WEnvironment& env )
			: Wt::WApplication( env )
		{
			setCssTheme( "polished" );
			Wt::WTreeView* treeView = new Wt::WTreeView( root() );
			treeView->resize( 500, 500 );
			treeView->setColumnResizeEnabled( true );
			Wt::WStandardItemModel* model = new Wt::WStandardItemModel( 0, 2 );
			model->setHeaderData( 0, Wt::Horizontal, std::string( "1" ) );
			model->setHeaderData( 1, Wt::Horizontal, std::string( "2" ) );
			std::vector< Wt::WStandardItem* > items;
			items.push_back( new Wt::WStandardItem( "x" ) );
			items.push_back( new Wt::WStandardItem( "y" ) );
			model->appendRow( items );
			treeView->setModel( model );
			treeView->setColumnWidth( 0, 250 );
			treeView->setColumnWidth( 1, 250 );
		}
	};
}
